rte_timer_status(3)

NAME
rte_timer_status

SYNOPSIS

#include <rte_timer.h>

  Data Fields

uint32_t u32

Detailed Description

Timer status: A union of the state (stopped, pending, running, config) and an owner (the id of the lcore that owns the timer).

Definition at line 66 of file rte_timer.h.

Field Documentation

  uint16_t state
Stop, pending, running, config.

Definition at line 68 of file rte_timer.h.

  int16_t owner
The lcore that owns the timer.

Definition at line 69 of file rte_timer.h.

  uint32_t u32
To atomic-set status + owner.

Definition at line 71 of file rte_timer.h.

Author

Generated automatically by Doxygen for DPDK from the source code.